<?php
function cG($name){//clean Get, to prevent mysql injection Get method
	if(get_magic_quotes_gpc()) $_GET[$name]=stripslashes($_GET[$name]); 
	$name=mysql_real_escape_string($_GET[$name]);
	return $name;
}

function cP($name){//clean post, to prevent mysql injection Post method and remove html
	if(get_magic_quotes_gpc()) $_POST[$name]=stripslashes($_POST[$name]); 
	$name=mysql_real_escape_string(strip_tags($_POST[$name]));
	return $name;
}

function cPR($name){//clean post, to prevent mysql injection Post method, but don't remove the htmltags
	if(get_magic_quotes_gpc()) $_POST[$name]=stripslashes($_POST[$name]); 
	$name=mysql_real_escape_string(ToHtml($_POST[$name]));
	return $name;
}

function ToHtml($string){
	//$string=preg_replace("/(\r\n)+|(\n|\r)+/", "<br />", $string); //we allow only 1 br
	//$string = str_replace ("&curren;",CURRENCY, $string);	//problem with the € chr(164) or chr(128
	$string = str_replace ("&nbsp;"," ", $string);//problem with spaces
	$string = str_replace ("href=","rel=\"nofollow\" href=", $string);	//nofollow
	return $string;
} 

function friendly_url($url) {

	// everything to lower and no spaces begin or end
	$url = strtolower(trim($url));
	
	//replace accent characters
	$url=replace_accents($url);
	
	// decode html
	//$url = html_entity_decode($url,ENT_QUOTES,CHARSET);
	
	// adding - for spaces and union characters
	$find = array(' ', '&', '\r\n', '\n', '+',',');
	$url = str_replace ($find, '-', $url);
	
	//delete and replace rest of special chars
	$find = array('/[^a-z0-9\-<>]/', '/[\-]+/', '/<[^>]*>/');
	$repl = array('', '-', '');
	$url = preg_replace ($find, $repl, $url);
	
	//return the friendly url
	return $url; 
}


function replace_accents($var){ //replace for accents catalan spanish and more
    //acccents 
    $var = ereg_replace("(À|Á|Â|Ã|Ä|Å|à|á|â|ã|ä|å)","a",$var); 
    $var = ereg_replace("(È|É|Ê|Ë|è|é|ê|ë)","e",$var); 
    $var = ereg_replace("(Ì|Í|Î|Ï|ì|í|î|ï)","i",$var); 
    $var = ereg_replace("(Ò|Ó|Ô|Õ|Ö|Ø|ò|ó|ô|õ|ö|ø)","o",$var); 
    $var = ereg_replace("(Ù|Ú|Û|Ü|ù|ú|û|ü)","u",$var); 
    //ntilde 
    $var = ereg_replace("(Ñ|ñ)","n",$var); 
    //cedilla
    $var = ereg_replace("(Ç|ç)","c",$var); 
    $var = ereg_replace("ÿ","y",$var); 
    return $var; 
}  




function sqlOption($sql,$name,$option){//generates a select tag with the values specified on the sql, 2nd parameter name for the combo, , 3rd value selected if there's
	$result =	app_query($sql);//1 value needs to be the ID, second the Name, if there's more doens't work
	$sqloption= "<select name='".$name."' id='".$name."'>
				<option value='0'>Home</option>";
	while ($row=mysql_fetch_assoc($result))
	{
		$first=mysql_field_name($result, 0);
		$second=mysql_field_name($result, 1);

			if ($option==$row[$first]) { $sel="selected=selected";}
			$sqloption=$sqloption .  "<option ".$sel." value='".$row[$first]."'>" .$row[$second]. "</option>";
			$sel="";
	}
		$sqloption=$sqloption . "</select>";
		echo $sqloption;
}

function sqlOptionGroup($sql,$name,$option){//generates a select tag with the values specified on the sql, 2nd parameter name for the combo, , 3rd value selected if there's
	$result =	app_query($sql);//1 value needs to be the ID, second the Name, 3rd is the group
	//echo $sql;
	$sqloption= "<select name='".$name."' id='".$name."'>";
	$lastLabel = "";
	while ($row=mysql_fetch_assoc($result))
	{
		$first=mysql_field_name($result, 0);
		$second=mysql_field_name($result, 1);
		$third= mysql_field_name($result,2);

		if($lastLabel!=$row[$third]){
			if($lastLabel!=""){
				$sqloption.="</optgroup>";
			}
			$sqloption.="<optgroup label='$row[$third]'>";
			$lastLabel = $row[$third];
		}

			if ($option==$row[$first]) { $sel="selected=selected";}
			$sqloption=$sqloption .  "<option ".$sel." value='".$row[$first]."'>" .$row[$second]. "</option>";
			$sel="";
	}
		$sqloption.="</optgroup>";
		$sqloption=$sqloption . "</select>";
		echo $sqloption;
}

function generatePassword ($length = PASSWORD_SIZE){
	  // start with a blank password
	  $password = "";
	  // define possible characters
	  $possible = "0123456789abcdefghijklmnopqrstuvwxyz"; 
	  // set up a counter
	  $i = 0; 
	  // add random characters to $password until $length is reached
	  while ($i < $length) { 
		// pick a random character from the possible ones
		$char = substr($possible, mt_rand(0, strlen($possible)-1), 1);	
		// we don't want this character if it's already in the password
		if (!strstr($password, $char)) { 
		  $password .= $char;
		  $i++;
		}
	  }
	  // done!
	  return $password;
}

function setDate($L_date,$L_dateFormat=DATE_FORMAT){//sets a date in a format(config.php)
	if(strlen($L_date)>0)
	{
		$L_arrTemp = split(" ",$L_date);
		$L_strDate = $L_arrTemp[0]; // 2007-07-21
		$L_strTime = $L_arrTemp[1]; // 00:00:00
		// split date 
		$L_arrDate = split("-",$L_strDate);
		$L_strYear =  $L_arrDate[0];
		$L_strMonth = $L_arrDate[1];
		$L_strDay = $L_arrDate[2];
		$L_strHour = $L_strTime[0];
		$L_strMinute = $L_strTime[1];
		$L_strSecond = $L_strTime[2];

		if($L_dateFormat == "dd-mm-yyyy")
		{
			$returnDate = $L_strDay."-".$L_strMonth."-".$L_strYear;
			return $returnDate;
		}

		if($L_dateFormat == "mm-dd-yyyy")
		{
			$returnDate = $L_strMonth."-".$L_strDay."-".$L_strYear;
			return $returnDate;
		}
	}
	else
	{
		return "";
	}
}

function getTypeName($type){//get the type name
	if ($type==TYPE_OFFER){
		$type=TYPE_OFFER_NAME;
	}
	else $type=TYPE_NEED_NAME;
	
	return $type;
}

function getTypeNum($type){//get the type in number
	if ($type==TYPE_OFFER_NAME){
		$type=TYPE_OFFER;
	}
	else $type=TYPE_NEED;
	
	return $type;
}

function getSecTime(){//returns the time in seconds
	$sec_time=explode(" ",microtime());
	$sec_time=($sec_time[1] + $sec_time[2]);
	//echo "time:".$sec_time;
	return $sec_time;//seconds time
}

function sendEmail($to,$subject,$body){//send email using smtp from gmail
	sendEmailComplete($to,$subject,$body,NOTIFY_EMAIL,SITE_NAME);
}

function sendEmailComplete($to,$subject,$body,$from,$fromName){//send email using smtp from gmail
	$mail             = new PHPMailer();
	$mail->IsSMTP();
	
	//*****************************************************************************
	//Using GMAIL
	/*
		$mail->SMTPAuth   = true;                  // enable SMTP authentication
		$mail->SMTPSecure = "ssl";                 // sets the prefix to the server
		$mail->Host       = "smtp.gmail.com";      // sets GMAIL as the SMTP server
		$mail->Port       = 465;                   // set the SMTP port for the GMAIL server
		$mail->Username   = "";  // GMAIL username
		$mail->Password   = "";            // GMAIL password
	*/
	//*****************************************************************************
	
	//$mail->From       = $from;
	$mail->From       = NOTIFY_EMAIL;
	$mail->FromName   = $fromName;
	$mail->Subject    = $subject;
	$mail->MsgHTML($body);
	$mail->AddAddress($to,"");
	$mail->IsHTML(true); // send as HTML

	if(!$mail->Send()) {//to see if we return a message or a value bolean
	  echo "Mailer Error: " . $mail->ErrorInfo;
	} else {
	 // echo "Message sent! $to";
	}
}

function encode_str ($input)//converts the input into Ascii HTML, to ofuscate a bit
{
    for ($i = 0; $i < strlen($input); $i++) {
         $output .= "&#".ord($input[$i]).';';
    }
    //$output = htmlspecialchars($output);//uncomment to escape sepecial chars
    return $output;
}


function mathCaptcha(){//generates a captcha for the form
	$first_number=mt_rand(1, 94);//first operation number
	$second_number=mt_rand(1, 5);//second operation number
	
	$_SESSION["mathCaptcha"]=($first_number+$second_number);//operation result
	
	$operation=" <b>".encode_str($first_number ." + ". $second_number)."</b>?";//operation codifieds
	
	echo T_HOW_MUCH.$operation;		
	
}

function isEmail($email){//check that the email is correct
	$pattern="/^[a-zA-Z0-9._]+@[a-zA-Z0-9._]+.[a-zA-Z0-9]+$/";
	if(preg_match($pattern, $email) > 0) return true;
	else return false;
}

function getIp(){//obtain the ip
		// if getenv results in something, proxy detected
		if (getenv('HTTP_X_FORWARDED_FOR')) {
			$ip=getenv('HTTP_X_FORWARDED_FOR');
		}
		else {// otherwise no proxy detected
			$ip=getenv('REMOTE_ADDR');
		}
		
		return $ip;
}

function jsRedirect($url){//simple JavaScript redirect
	echo "<script language='JavaScript' type='text/javascript'>location.href='$url';</script>";
}

function alert($msg){//simple JavaScript alert
	echo "<script language='JavaScript' type='text/javascript'>alert('$msg');</script>";
}

function removeRessource($_target) {//remove the done file
    //file?
    if( is_file($_target) ) {
        if( is_writable($_target) ) {
            if( @unlink($_target) ) {
                return true;
            }
        }
        return false;
    }
    //dir recursive
    if( is_dir($_target) ) {
        if( is_writeable($_target) ) {
            foreach( new DirectoryIterator($_target) as $_res ) {
                if( $_res->isDot() ) {
                    unset($_res);
                    continue;
                }
                if( $_res->isFile() ) {
                    removeRessource( $_res->getPathName() );
                } elseif( $_res->isDir() ) {
                    removeRessource( $_res->getRealPath() );
                }
                unset($_res);
            }
            if( @rmdir($_target) ) {
                return true;
            }
        }
        return false;
    }
}

function hackerDefense(){
	// begin hacker defense - Thanks Kreuznacher | wurdzwurk
	foreach ($_POST as $secvalue) {
		if ((eregi("<[^>]*script.*\"?[^>]*>", $secvalue)) ||
		(eregi("<[^>]*object.*\"?[^>]*>", $secvalue)) ||
		(eregi("<[^>]*iframe.*\"?[^>]*>", $secvalue)) ||
		(eregi("<[^>]*applet.*\"?[^>]*>", $secvalue)) ||
		(eregi("<[^>]*window.*\"?[^>]*>", $secvalue)) ||
		(eregi("<[^>]*document.*\"?[^>]*>", $secvalue)) ||
		(eregi("<[^>]*cookie.*\"?[^>]*>", $secvalue)) ||
		(eregi("<[^>]*meta.*\"?[^>]*>", $secvalue)) ||
		//(eregi("<[^>]*style.*\"?[^>]*>", $secvalue)) ||
		(eregi("<[^>]*alert.*\"?[^>]*>", $secvalue)) ||
		(eregi("<[^>]*form.*\"?[^>]*>", $secvalue)) ||
		(eregi("<[^>]*php.*\"?[^>]*>", $secvalue)) ||
		//(eregi("<[^>]*<?.*\"?[^>]*>", $secvalue)) ||
		(eregi("<[^>]*img.*\"?[^>]*>", $secvalue))) {
			die ("There was a problem with your post. Please do not include code.");
		}
	}
	// end hacker defense 	
}

function getPrice($amount){//returns the price for the item in the correct format
	return str_replace(array("AMOUNT","CURRENCY"),array($amount,CURRENCY),CURRENCY_FORMAT);
	//return $amount;
}

?>
