<?php

function generateMenu($selectedCategory,$begin,$end){//tabbed top menu, param, the selected category
	global $style;
	global $_CACHE;
	
	if (!isset($_CACHE["menu"])){
		$query="SELECT name,friendlyName from categories where idCategoryParent=0 order by `order`";
		$_CACHE["menu"]=getArraySql($query);
		cache_write(); 
	}
	
	foreach ( $_CACHE["menu"] as $category ) {
		$name=$category["name"];
		$fcategory=$category["friendlyName"];
		if ($name!=""&&$fcategory!=""){
			
			if (FRIENDLY_URL) $url="/category/$fcategory";
			else $url="/?category=$fcategory";
			
			if ($selectedCategory==$fcategory) $astyle=$style;//selected category
			else $astyle="";
			$Menu.=$begin."<a $astyle title=\"$name\" href=\"".SITE_URL."$url\">$name</a>".$end;
		}
	} 
	echo $Menu;//home menu
}

function generateSubMenu($idCategoryParent,$categoryParent,$currentCategory){//generates thes submenu for a category
	
	global $_CACHE;
	
	if ($categoryParent!=0) $subCategory=$categoryParent; //if it's a subcategory
 	else { //its a category
 		if (!$idCategoryParent) $idCategoryParent=0;//if doesnt exist the category
 		$subCategory=$idCategoryParent;
 	}

	if (!isset($_CACHE["subMenu-".$subCategory])){
	   	$query="SELECT name,friendlyName from categories where idCategoryParent=$subCategory order by `order`";
		$_CACHE["subMenu-".$subCategory]=getArraySql($query);
		cache_write(); 
	}
	
	$subMenu="<b>".T_SUB_MENU."</b>";
	foreach ( $_CACHE["subMenu-".$subCategory] as $row ) {	
			$name=$row['name'];
			$fcategory=$row['friendlyName'];
			
			if (FRIENDLY_URL) $url="/category/$fcategory";
			else $url="/?category=$fcategory";
			
			$subMenu.=SEPARATOR;
			if ($currentCategory==$fcategory) $subMenu.=  "<b>";//for the selectd item
			$subMenu.="<a $astyle title=\"$name\" href=\"".SITE_URL."$url\">$name</a>";
			if ($currentCategory==$fcategory) $subMenu.=  "</b>";
		}
 
	echo $subMenu;
}


function generatePopularCategories(){//popular categories displayed in the home
	global $_CACHE;
	
	if (!isset($_CACHE["popularCategories"])){
		$query="select c.idCategory,c.friendlyName,c.name,count(c.idCategory) cont 
							from categories c
							inner join posts p
						on p.idCategory=c.idCategory
					
				group by c.idCategory,c.friendlyName,c.name
				order by cont desc,c.name Limit 7";
		$_CACHE["popularCategories"]=getArraySql($query);
		cache_write(); 
	}
	
	$popularCategories="<b>".T_POPULAR_CATEGORIES."</b>";
	foreach ( $_CACHE["popularCategories"] as $category ) {
		$name=$category["name"];
		$fcategory=$category["friendlyName"];
		$cont=$category["cont"];
	
		if (FRIENDLY_URL) $url="/category/$fcategory";
		else $url="/?category=$fcategory";
			
		$popularCategories.=SEPARATOR."<a $astyle title=\"$name $cont\" href=\"".SITE_URL."$url\">$name</a>";

	} 
	echo $popularCategories;
	
}

function generateTagPopularCategories(){//popular categories displayed in the home
	global $_CACHE;
	  
	 if ($_CACHE["popularTagCategories"]==""){
	  	
	 	$query="select c.idCategory,c.friendlyName,c.name,
	 			(Select count(idPost) from posts where idCategory=c.idCategory) cont 
							from categories c
				group by c.idCategory,c.friendlyName,c.name
				order by cont desc,c.name ";
		$result =	app_query($query);
		
			if (mysql_num_rows($result)){
					
					$cloud_size=9;//max size in the css
					$cloud = new wordCloud();
					while ($row=mysql_fetch_assoc($result))
					{	
						if(!isset($max_size))$max_size=$row['cont'];///max post number
						$size=($row['cont']*$cloud_size)/$max_size;//size for the cloud	
						$cloud->addWord(array('word' => $row['name'], 'size' => round($size,0), 'url' => $row['friendlyName']));
					}
				  	$cloud->orderBy('word');
			     	$_CACHE["popularTagCategories"]=$cloud->showCloud('array');
					cache_write();
			}
	  }
	  
	$myCloud=$_CACHE["popularTagCategories"];
	foreach ($myCloud as $cloudArray) {
		if (FRIENDLY_URL)	$url="/category/".$cloudArray['url']; 
		else $url="/?category=".$cloudArray['url'];
		$url=SITE_URL.$url;
        echo ' &nbsp; <a href="'.$url.'" title="'.$cloudArray['word'].'"  class="word size'.$cloudArray['range'].'">'.$cloudArray['word'].'</a> &nbsp;';
     }	
	
	
}

function generatePostType($currentCategory,$type){ //shows types in the right side
	
	if (isset($currentCategory)){//category
			if (FRIENDLY_URL)	{
				$offerUrl="/".TYPE_OFFER_NAME."/$currentCategory";
				$needUrl="/".TYPE_NEED_NAME."/$currentCategory";
				$allUrl="/category/$currentCategory";
			}
			else {
				$offerUrl="/?category=$currentCategory&type=".TYPE_OFFER_NAME;
				$needUrl="/?category=$currentCategory&type=".TYPE_NEED_NAME;
				$allUrl="/?category=$currentCategory";
			}
		}
	else{ //only set type in the home
		if (FRIENDLY_URL){
			$offerUrl="/type/".TYPE_OFFER_NAME;
			$needUrl="/type/".TYPE_NEED_NAME;
		}
		else{
			$offerUrl="/?type=".TYPE_OFFER_NAME;
			$needUrl="/?type=".TYPE_NEED_NAME;

		}
		$allUrl="/";
	}	
	
	if ($type==TYPE_OFFER&&isset($type)) echo "<b>".ucwords(TYPE_OFFER_NAME)."</b>";
	else echo "<a title=\"".TYPE_OFFER_NAME." $currentCategory\" href=\"".SITE_URL."$offerUrl\">".ucwords(TYPE_OFFER_NAME)."</a>";
	
	if ($type==TYPE_NEED&&isset($type)) echo SEPARATOR."<b>".ucwords(TYPE_NEED_NAME)."</b>";
	else echo SEPARATOR."<a title=\"".TYPE_NEED_NAME." $currentCategory\" href=\"".SITE_URL."$needUrl\">".ucwords(TYPE_NEED_NAME)."</a>";
	
	if (isset($type)) echo SEPARATOR."<a href=\"".SITE_URL."$allUrl\">".T_ALL."</a>";
	else echo SEPARATOR."<b>".T_ALL."</b>";
}



function generatePopularItems($days=7,$limit=5,$idCategory){//displays the top X limit popular items from the last X days, possible by category
	if (COUNT_POSTS){
		global $_CACHE;
		if (!isset($_CACHE["popularItems$idCategory"])){		
			if (isset($idCategory)){//if category is set we  filter by category
				$filter =" and (P.idCategory=$idCategory or P.idCategory in (select idCategory from categories where idCategoryParent=$idCategory))";
			}
			$query="SELECT count(P.idPost) cont,P.idPost,P.title,
							(select friendlyName from categories where idCAtegory=P.idCategory Limit 1) fcategory,
							P.type FROM posts P
							inner join postshits H
						on P.idPost=H.idPost
					where P.isConfirmed=1 and P.isAvailable=1 and TIMESTAMPDIFF(DAY,H.hitTime,now())<=$days $filter
					group by P.idPost,P.title,P.idCategory,P.type
					order by 1 desc	Limit $limit";
		 //  	echo $query;
			$_CACHE["popularItems$idCategory"]=getArraySql($query);
			cache_write(); 
		}
			$pop="<ul>";
			foreach ($_CACHE["popularItems$idCategory"] as $row ) {
				$idPost=$row["idPost"];
				$postTypeName=getTypeName($row["type"]);
				$fcategory=$row["fcategory"];
				$postTitle=$row["title"];
				$FpostTitle=friendly_url($postTitle);
				$hitsCount=$row["cont"];
				
				if (is_numeric($idPost)){
					if (FRIENDLY_URL) $url="/$idPost/$postTypeName/$fcategory/$FpostTitle";
					else $url="/item.php?item=$idPost&type=$postTypeName&category=$fcategory&title=$FpostTitle";
				
					$pop.="<li><a title=\"$hitsCount $postTitle $postTypeName $fcategory\" href=\"".SITE_URL."$url\">$postTitle</a></li>";
				}
			}
			$pop.="</ul>";

		}
		return $pop;
	
}

function getCategories(){//return the categories for the title used in the seo.php
	global $_CACHE;
	
	if ($_CACHE["categories"]==""){
		$query="SELECT name from categories where idCategoryParent=0 order by `order`";
		$result =	app_query($query);
		$cat=array();
		while ($row=mysql_fetch_assoc($result))
		{	
			 array_push($cat,$row['name']);
		}
		$cat=implode(" ",$cat);
		$_CACHE["categories"]=$cat;
		cache_write();
	}
	
	return $_CACHE["categories"];
}

function totalAds($idCategory){//return the total number of posts
	if (!isset($idCategory)) $idCategory="all";
	global $_CACHE;
	if ($_CACHE["totalAds$idCategory"]==""){
			if ($idCategory!="all"){
				$filter =" and (P.idCategory=$idCategory or P.idCategory in (select idCategory from categories where idCategoryParent=$idCategory))";
			}
		$query="SELECT count(idPost) from posts P where P.isConfirmed=1 and P.isAvailable=1 $filter";
		$_CACHE["totalAds$idCategory"]=getValueSql($query);
		cache_write();
	}
	return $_CACHE["totalAds$idCategory"];
}

function totalViews($idCategory){//return the total number of posts views
	if (!isset($idCategory)) $idCategory="all";
	global $_CACHE;
	if ($_CACHE["totalViews$idCategory"]==""){
			if ($idCategory!="all"){
				$filter =" and (P.idCategory=$idCategory or P.idCategory in (select idCategory from categories where idCategoryParent=$idCategory))";
			}
		$query="SELECT count(P.idPost) FROM posts P 
						inner join postshits H 
					on P.idPost=H.idPost
			    where P.isConfirmed=1 and P.isAvailable=1  $filter";
		$_CACHE["totalViews$idCategory"]=getValueSql($query);
		cache_write();
	}
	return $_CACHE["totalViews$idCategory"];
}


?>
