<?php
//theme selector

/*
	Current Available in open-classifieds.com:
  	minimalistic
	Indigo
	primitive
	plainandsimple
	roundhouse
	simplyfluid
	edit_80
 */

	if (THEME_SELECTOR){//see config.php
		if (cG("theme")!=""){//select them by request
			$theme= str_replace(array('..', '&', '\\', '//', ' '), '', cG("theme"));//for secure reasons we remove dots and slashes
			$theme_dir=SITE_ROOT."/themes/$theme";//directory for the theme
			if (is_dir($theme_dir)){//the folder exists
				define('THEME', $theme);
				$_SESSION['theme']=$theme;
				setcookie ("theme",$theme, time() + 3600*24*365, "/", ".".$_SERVER['SERVER_NAME']);
			}
			else define('THEME', DEFAULT_THEME);//default theme doesnt exists the theme :S
		}
		else if (isset($_SESSION['theme'])){//theme keep in the session
			define('THEME', $_SESSION['theme']);
		}
		else if (isset($_COOKIE['theme'])){//theme from the cookie
			define('THEME', $_COOKIE['theme']);
			$_SESSION['theme']=$_COOKIE['theme'];
		}
		else define('THEME', DEFAULT_THEME);//default theme
	}
	else  define('THEME', DEFAULT_THEME);//default theme
?>