<?php
require_once('includes/header.php');
?>

	<?php if(isset($categoryName)&&isset($categoryDescription)){ ?>
	<div class="category">
		<p>
			<b><?php echo $categoryName;?>:</b> 
			 <?php echo $categoryDescription; ?>
			 <a title="<?php echo T_POST_IN;?> <?php echo $categoryName;?>" href="/new/?category=<?php echo $currentCategory;?>"><?php echo T_POST_IN;?> <?php echo $categoryName;?></a> 
		</p>
	</div>
	<?php }?>
	
<div class="item">
<?php 
if (isset($type)) $filter.= " and p.type=".$type;

if (isset($currentCategory)){//theres a category set
		if ($categoryParent!=0) $filter.= " and c.idCategory=$idCategory ";//parent category
		else $filter.= " and ( c.idCategory=$idCategory  or c.idCategoryParent=$idCategoryParent) ";//sub category
}


if (strlen(cG("s"))>=MIN_SEARCH_CHAR){
	if (strpos(cG("s"), ",")>0){//search for location
		$search=explode(",",cG("s"));
		$filter.= " and (p.title like '%$search[0]%' or  p.description like '%$search[0]%' or p.place like '%$search[1]%') ";
	}
	else $filter.= " and (p.title like '%".cG("s")."%' or  p.description like '%".cG("s")."%') ";
}


	//pagination
	$query="SELECT count(p.idPost) total	FROM posts p
						inner join categories c
				on c.idCategory=p.idCategory
			where p.isAvailable=1 and p.isConfirmed=1 $filter";
	$total_records = getValueSql($query);//query to get total of records
	$records_per_page = ITEMS_PER_PAGE;//how many records per page displayed
	$total_pages = ceil($total_records / $records_per_page);//total pages to display
	if ($page < 1 || $page > $total_pages) $page = 1;//controlling that the page have a valid value
	$offset = ($page - 1) * $records_per_page;//position where we need to display
	$limit = " LIMIT $offset, $records_per_page";//sql to attach IMPORTANT
	//end pagination

	$query="SELECT p.idPost,p.title,p.description,p.insertDate,
					c.Name category,c.idCategoryParent,p.type,p.price,
					(select Filename from postsimages where idPost=p.idPost order by FileName asc Limit 1) image
					FROM posts p
						inner join categories c
				on c.idCategory=p.idCategory
			where p.isAvailable=1 and p.isConfirmed=1 $filter
			order by p.insertDate Desc $limit";
	//echo $query;
	
	$result =	app_query($query);

	if (mysql_num_rows($result)){
	while ($row=mysql_fetch_assoc($result))
	{
		$idPost=$row['idPost'];
		$postType=$row['type'];
		$postTypeName=getTypeName($postType);
		$postTitle=$row['title'];
		$postPrice=$row['price'];
		$postDesc= substr(strip_tags(html_entity_decode($row['description'])), 0, 200)."...";
		$category=$row['category'];//real category name
		$fcategory=friendly_url($category);//frienfly name category
		$idCategoryParent=$row['idCategoryParent'];
		$postImage=$row['image'];
		if ($postImage=="") $postImage="/images/no_pic.png";
		else $postImage=SITE_URL.IMG_UPLOAD.$idPost."/thumb_".$postImage;
		
		if ($insertDate!=setDate($row['insertDate'])){
			$insertDate=setDate($row['insertDate']);
			echo "<div class='item'><h2>".$insertDate."</h2></div>";
		}
		
		if ($idCategoryParent!=0){//if there's sub category
			$categoryParent=getValueSql("select name from categories where idCategory=$idCategoryParent");
			$fCategoryParent=friendly_url($categoryParent);
			$categoryUrl=$fCategoryParent."-".$fcategory;//the category for the friendly url is with the subcategory only for ITEM link
		}else $categoryUrl=$fcategory;
		
		if (FRIENDLY_URL){//friendly url activated
			$postUrl="/$idPost/$postTypeName/$fcategory/".friendly_url($postTitle);
			$categoryUrl="/$postTypeName/".$fcategory;
			$parentCategoryUrl="/$postTypeName/".$fCategoryParent;
		}
		else {//friendly url deactivated
			$postUrl="/item.php?item=$idPost&type=$postTypeName&category=$fcategory&title=".friendly_url($postTitle);
			$categoryUrl="/?type=$postTypeName&category=".$fcategory;
			$parentCategoryUrl="/?type=$postTypeName&category=".$fCategoryParent;
		}
		
		?>
		<table class="post">
			<tr valign="top">
			<?php if (MAX_IMG_NUM>0){?>
				<td rowspan="2" style="width:120px">
					<a title="<?php echo $postTitle." ".$postTypeName." ".$fcategory;?>" href="<?php echo SITE_URL.$postUrl;?>" >
						<img class="thumb" title="<?php echo $postTitle." ".$postTypeName." ".$fcategory;?>"  alt="<?php echo $postTitle." ".$postTypeName." ".$fcategory;?>"  src="<?php echo $postImage;?>" />
					</a>
				</td>
			<?php }?>
				<td>
					<h2>
						<a title="<?php echo $postTitle." ".$postTypeName." ".$fcategory;?>" href="<?php echo SITE_URL.$postUrl;?>" >
							<?php echo ucwords($postTypeName)?> - <?php echo $postTitle;?> 
							<?php if ($postPrice!=0) echo " - ".getPrice($postPrice);?>
						</a>
					</h2>		<br />		
					<?php echo $postDesc;?> <br />
					<?php if ($idCategoryParent!=0){
							echo "<a title='$postTypeName $categoryParent' href='".SITE_URL."$parentCategoryUrl'>$categoryParent</a> --> ";
						}
						echo "<a href='".SITE_URL."$categoryUrl' title='$postTypeName $category' >$category</a>";	 
					?>
				</td>
			</tr>	
		</table>
		<?php 
	}
}//end if check there's results
else echo "<h2>".T_NOTHING_FOUND."</h2>";
?>
</div>
	
	
	<div class="item"><br />
	<?php //page numbers
		if ($total_pages>1){
			
			//if is a search
			if (strlen(cG("s"))>=MIN_SEARCH_CHAR) $search="&s=".cG("s");
			
			$pag_title=$html_title." ".T_PAGE." ";

			//getting the url
			if (isset($currentCategory)){//category
				if (isset($type)){//category and type
					if (FRIENDLY_URL)	$pag_url="/".getTypeName($type)."/$currentCategory$search&page=";
					else $pag_url="/?category=$currentCategory&type=$type$search&page=";
				}
				else{//only category
					if (FRIENDLY_URL)	$pag_url="/category/$currentCategory$search&page=";
					else $pag_url="/?category=$currentCategory$search&page=";
				}
			}
			elseif (!isset($currentCategory)&&isset($type)){ //only set type in the home
				if (FRIENDLY_URL)	$pag_url="/type/".getTypeName($type)."$search&page=";
				else $pag_url="/?type=$type$search&page=";
			}
			elseif(strlen(cG("s"))>=MIN_SEARCH_CHAR){//home with search
				$pag_url="?s=".cG("s")."&page=";
			}
			else $pag_url="?page=";
			//////////////////////////////////
		
			//previous
			if ($page>1) echo "<a title='".T_PREVIOUS." $pag_title".($page-1)."' href='".SITE_URL."$pag_url".($page-1)."'>".T_PREVIOUS."</a>";
			//pages loop
			for ($i = 1; $i <= $total_pages; $i++) {
		        if ($i == $page) echo SEPARATOR."<b>$i</b>";//not printing link current page
		        else echo SEPARATOR."<a title='$pag_title$i' href='".SITE_URL."$pag_url$i'>$i</a>";//print the link
		    }
		    //next
		    if ($page<$total_pages) echo SEPARATOR."<a href='".SITE_URL."$pag_url".($page+1)."' title='".T_NEXT." $pag_title".($page+1)."' >".T_NEXT."</a>";
		}	
	?>
	</div>

<?php
require_once('includes/footer.php');
?>
