<?php
require_once('../includes/functions.php');
header("Content-type: text/xml");
?>
<rss version="2.0"  xmlns:dc="http://purl.org/dc/elements/1.1/">


<channel>
<title>RSS - <?php echo $html_title;?></title>
<link><?php echo SITE_URL;?>/</link>
<description>RSS - <?php echo $html_description." ".$currentCategory." ".getTypeName($type);?></description>
<pubDate><?php echo date(DATE_RFC822);?></pubDate>
<atom10:link xmlns:atom10="http://www.w3.org/2005/Atom" rel="self" href="http://<?php echo $_SERVER['SERVER_NAME'];?>/rss/" type="application/rss+xml" />

<?php 
if (isset($type)) $filter.= " and p.type=".$type;

if (isset($currentCategory)){//theres a catewgory set
		if ($categoryParent!=0){ //is a submenu
			$filter.= " and c.idCategory=$idCategory ";
		}
		else{//is a menu
			$filter.= " and ( c.idCategory=$idCategory  or c.idCategoryParent=$idCategoryParent) ";
		}
}

if (strlen(cG("s"))>=MIN_SEARCH_CHAR) $filter.= " and (p.title like '%".cG("s")."%' or  p.description like '%".cG("s")."%') ";



	$query="SELECT p.idPost,p.title,p.description,p.insertDate,
					c.Name category,c.idCategoryParent,p.type,p.price,
					(select Filename from postsimages where idPost=p.idPost order by FileName asc Limit 1) image
					FROM posts p
						inner join categories c
				on c.idCategory=p.idCategory
			where p.isAvailable=1 and p.isConfirmed=1 $filter
			order by p.insertDate Desc LIMIT ".RSS_ITEMS;
	//echo $query;
	
	$result =	app_query($query);

	while ($row=mysql_fetch_assoc($result))
	{
		$idPost=$row['idPost'];
		$postType=$row['type'];
		$postTypeName=getTypeName($postType);
		$postTitle=html_entity_decode($row['title'],ENT_COMPAT,"UTF-8");
		$postPrice=$row['price'];
		$postDesc= str_replace ("&nbsp;"," ",strip_tags(html_entity_decode($row['description'],ENT_COMPAT,"UTF-8")));
		//$postDesc= strip_tags($row['description']);
		$category=$row['category'];//real category name
		$fcategory=friendly_url($category);//frienfly name category
		$idCategoryParent=$row['idCategoryParent'];
		$postImage=$row['image'];
		$insertDate=date(DATE_RFC822,strtotime($row['insertDate']));
		$categoryUrl=$fcategory;
		
		if (FRIENDLY_URL)$postUrl="/$idPost/$postTypeName/$fcategory/".friendly_url($postTitle);
		else $postUrl="/item.php?item=$idPost&type=$postTypeName&category=$fcategory&title=".friendly_url($postTitle);	
		
		?>
		<item>
			<title><?php echo ucwords($postTypeName)." - ".$postTitle;?></title>
			<link><?php echo SITE_URL.$postUrl;?></link>
			<guid><?php echo SITE_URL.$postUrl;?></guid>
			<description><?php echo $postDesc;?>
			<?php if ($postImage!="" && RSS_IMAGES) echo "&lt;br /&gt;&lt;img src='".SITE_URL.IMG_UPLOAD.$idPost."/thumb_".$postImage."' width='100' height='75' alt='' /&gt;";?>	
			</description>
			<pubDate><?php echo $insertDate;?></pubDate>
		</item>
		<?php 
	}

?>
 </channel>
</rss>


	

