<?php
//Application Object as in ASP for PHP, used to cache part of the code based on this: http://www.leosingleton.com/projects/code/phpapp/

//To config please go to config.php

function cache_start ()//load variables from the file
{
	if (CACHE_ACTIVE){
	    global $_CACHE;
	
	    // if data file exists, load the cached variables
	    if (file_exists(CACHE_DATA_FILE))
	    {
	        // read data file
	        $file = fopen(CACHE_DATA_FILE, "r");
	        if ($file)
	        {
	            $data = fread($file,
	                filesize(CACHE_DATA_FILE));
	            fclose($file);
	        }
	        // build application variables from data file
	        $_CACHE = unserialize($data);
	    }
	    else  fopen(CACHE_DATA_FILE, "w");//if the file does not exist we create it
    
	    if (CACHE_DATA_FILE!=false){//if it's false we don't delete
		   //erase the cache every X minutes before loading next time
		    $app_time=filemtime(CACHE_DATA_FILE)+CACHE_EXPIRE;
		    if (time()>$app_time) unlink (CACHE_DATA_FILE);//erase the cache
	    }
	    
	}
	   
}

function cache_write()//writes into the cache file
{
	if (CACHE_ACTIVE){
	    global $_CACHE;
	    // write application data to file
	    $data = serialize($_CACHE);
	    $file = fopen(CACHE_DATA_FILE, "w");
	    if ($file)
	    {
	        fwrite($file, $data);
	        fclose($file);
	    }
	}
}

?>
