<?php
//metas implemented in header.php

//$html_title="test title";
//$html_description="test description";
//$html_keywords="test,keywords";

//item
if (isset($idItem)) {
	//title
		$html_title=$itemTitle;
		if ($itemPrice!=0) $html_title.=" - ".getPrice($itemPrice);
		if ($itemPlace!="") $html_title.=" (".$itemPlace.") ";
		$html_title.=SEPARATOR;
		if (isset($itemType)) $html_title.=ucwords(getTypeName($itemType))." ";
		if ($categoryParent!=0) $html_title.=$selectedCategoryName. " ";
		$html_title.=$categoryName.SEPARATOR;
	//end title
	$html_description=$itemDescription;	
}
elseif(strpos($_SERVER["REQUEST_URI"], "new/")>0){//for new item
	 //title
		$html_title=T_NEW_ITEM.SEPARATOR;
		if (isset($categoryName)){//new item with category selected
			if ($categoryParent!=0) $html_title.=$selectedCategoryName. " ";
			$html_title.=$categoryName.SEPARATOR;	
		}
		else $html_title.=getCategories().SEPARATOR;
	//end title
	$html_description=$html_title;	
}
elseif (isset($categoryName)) {//categories
	//title
		$html_title=T_ADS." ".T_CLASSIFIEDS." ";
		if (isset($type)) $html_title.=ucwords(getTypeName($type))." ";
		//else $html_title.=SEPARATOR.ucwords(TYPE_OFFER_NAME).SEPARATOR.ucwords(TYPE_NEED_NAME);
		if ($categoryParent!=0) $html_title.=$selectedCategoryName. " ";
		$html_title.=$categoryName.SEPARATOR;	
		
	//end title
	$html_description=$categoryDescription;	

}

elseif ($_SERVER["REQUEST_URI"]=="/"||(isset($type)&&!isset($categoryName))||isset($page)) {//home
	//title
		$html_title=T_ADS." ".T_CLASSIFIEDS." ";
		if (isset($type)) $html_title.=ucwords(getTypeName($type)).SEPARATOR;
		$html_title.=getCategories().SEPARATOR;
	//end title
	$html_description=$html_title;	
}


// common in all
if (isset($page)&&$page>1) $html_title.=T_PAGE." ".$page.SEPARATOR;
$html_title.=SITE_NAME;
$html_keywords=getKeyWords($html_title);
$html_description=getMetaDescription($html_description);	



function getMetaDescription($text){//returns a text with a proper meta description
	$text = strip_tags($text);//erase possible html tags
	$text = str_replace (array('\r\n', '\n', '+'), ' ', $text);//replace possible returns
	$text = substr($text, 0, 220);//we need only 220 characters
	return $text."...";
}

function getKeyWords($text){
	$text = str_replace (array('-',CURRENCY,'(',')','+','-'), '', $text);//replace not valid character
	$text = str_replace (array(SEPARATOR,' '), ',', $text);//replace for comas
	//$text = str_replace (',,', ',', $text);//replace double comas
	
	//erase minor than 3, and repeated ones
	$arrText=explode(",",$text);
	$arrText=array_unique($arrText);//erase the repeated values
	$text=array();
	foreach ($arrText as &$value) {
 	   if (strlen($value)>=3) array_push($text,$value);
	}
	unset($value);
	
	$text=implode(",",$text);
	return $text;
}

?>